texmath-0.12.10.3: Conversion between math formats.

Copyright | Copyright (C) 2014 Matthew Pickering
License | GNU GPL, version 2 or above
Maintainer | Matthew Pickering <matthewtpickering@gmail.com>
Stability | alpha
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.TeXMath.Unicode.Fonts

Description

Utilities to convert between MS font codepoints and unicode characters.

Synopsis

- getUnicode :: Font -> Char -> Maybe Char
- data Font = Symbol
- textToFont :: Text -> Maybe Font

# Documentation

getUnicode :: Font -> Char -> Maybe Char #

Given a font and codepoint, returns the corresponding unicode character

data Font #

Enumeration of recognised fonts

Constructors

Symbol | Adobe Symbol

#### Instances

Instances details

Show Font # |
Instance details Defined in Text.TeXMath.Unicode.Fonts Methods showsPrec :: Int -> Font -> ShowS # show :: Font -> String # showList :: [Font] -> ShowS #
Eq Font # |
Instance details Defined in Text.TeXMath.Unicode.Fonts Methods (==) :: Font -> Font -> Bool # (/=) :: Font -> Font -> Bool #

textToFont :: Text -> Maybe Font #

Parse font name into Font if possible.